Bug 1386644 - "rubygem(multipart-post)" provides missing from rpm
Summary: "rubygem(multipart-post)" provides missing from rpm
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-multipart-post (Show other bugs)
(Show other bugs)
Version: epel7
Hardware: x86_64 Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Steve Traylen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-19 11:36 UTC by Richard Grainger
Modified: 2017-06-24 02:17 UTC (History)
3 users (show)

Fixed In Version: rubygem-multipart-post-2.0.0-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-24 02:17:12 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to fix SPEC file (1.96 KB, patch)
2016-10-19 14:36 UTC, Richard Grainger
no flags Details | Diff

Description Richard Grainger 2016-10-19 11:36:09 UTC
Description of problem:

The "rubygem(multipart-post)" provides info is missing from rpm

Version-Release number of selected component (if applicable):

2.0.0-1.el7

How reproducible:

Download RPM and then:
rpm -qp --provides rubygem-multipart-post-2.0.0-1.el7.noarch.rpm


Steps to Reproduce:
1. Download RPM
2. rpm -qp --provides rubygem-multipart-post-2.0.0-1.el7.noarch.rpm
3.

Actual results:

rubygem-multipart-post = 2.0.0-1.el7


Expected results:

rubygem(multipart-post) = 2.0.0
rubygem-multipart-post = 2.0.0-1.el7

Additional info:

Comment 1 Richard Grainger 2016-10-19 14:36 UTC
Created attachment 1212177 [details]
Patch to fix SPEC file

Comment 2 Steve Traylen 2016-12-08 14:33:43 UTC
Thanks for the patch sorry for delay.

Comment 3 Dominic Cleal 2017-01-18 09:18:20 UTC
A related issue is that the requires on ruby(rubygem), ruby(release) should be present too. They were removed in Fedora as autoprov/req add them, but should still be present in EPEL7 branches.

See their removal at https://src.fedoraproject.org/cgit/rpms/rubygem-multipart-post.git/commit/?h=epel7&id=e861a96fd7b6ea37f693b7e9a6fd2fae2d7d2afc. They should be restored as well as the Provides from the above patch.

Comment 4 Steve Traylen 2017-05-31 14:56:11 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=19793912

built okay but some reason does not appear as a build in bodhi. Will try again in couple of days to see if it fixes itself...

Comment 5 Fedora Update System 2017-06-01 08:16:41 UTC
rubygem-multipart-post-2.0.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6fddaf0d0d

Comment 6 Fedora Update System 2017-06-02 04:26:50 UTC
rubygem-multipart-post-2.0.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6fddaf0d0d

Comment 7 Fedora Update System 2017-06-07 07:54:00 UTC
rubygem-multipart-post-2.0.0-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6fddaf0d0d

Comment 8 Fedora Update System 2017-06-08 14:54:14 UTC
rubygem-multipart-post-2.0.0-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-6fddaf0d0d

Comment 9 Fedora Update System 2017-06-24 02:17:12 UTC
rubygem-multipart-post-2.0.0-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.